Bug 1121641 - SELinux is preventing /usr/bin/mv from 'relabelfrom' accesses on the file .
Summary: SELinux is preventing /usr/bin/mv from 'relabelfrom' accesses on the file .
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:015f1f069c545fd18ed510602b3...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-21 12:43 UTC by scapeghost
Modified: 2015-10-05 12:00 UTC (History)
6 users (show)

Fixed In Version: selinux-policy-3.12.1-197.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-10 00:55:36 UTC


Attachments (Terms of Use)

Description scapeghost 2014-07-21 12:43:45 UTC
Description of problem:
SELinux is preventing /usr/bin/mv from 'relabelfrom' accesses on the file .

*****  Plugin catchall (100. confidence) suggests   **************************

If mv に、  file の relabelfrom アクセスがデフォルトで許可されるべきです。   
Then バグとして報告してください。 
ローカルのポリシーモジュールを生成すると、
 このアクセスを許可することができます。
Do
このアクセスを一時的に許可するには、以下を実行してください。
# grep mv /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023
Target Context                unconfined_u:object_r:texlive_home_t:s0
Target Objects                 [ file ]
Source                        mv
Source Path                   /usr/bin/mv
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           coreutils-8.21-21.fc20.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-177.fc20.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.15.6-200.fc20.x86_64 #1 SMP Fri
                              Jul 18 02:36:27 UTC 2014 x86_64 x86_64
Alert Count                   1
First Seen                    2014-07-21 21:42:24 JST
Last Seen                     2014-07-21 21:42:24 JST
Local ID                      343c2470-16c4-45cc-b213-7d8618e1fbf0

Raw Audit Messages
type=AVC msg=audit(1405946544.89:416): avc:  denied  { relabelfrom } for  pid=3711 comm="mv" name="pk3588.tmp" dev="dm-2" ino=30173479 scontext=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:texlive_home_t:s0 tclass=file


type=SYSCALL msg=audit(1405946544.89:416): arch=x86_64 syscall=fsetxattr success=no exit=EACCES a0=4 a1=7fff7e3b9150 a2=15c9a40 a3=25 items=0 ppid=3614 pid=3711 auid=1000 uid=1000 gid=1000 euid=1000 suid=1000 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 tty=(none) ses=1 comm=mv exe=/usr/bin/mv subj=unconfined_u:unconfined_r:thumb_t:s0-s0:c0.c1023 key=(null)

Hash: mv,thumb_t,texlive_home_t,file,relabelfrom

Additional info:
reporter:       libreport-2.2.2
hashmarkername: setroubleshoot
kernel:         3.15.6-200.fc20.x86_64
type:           libreport

Comment 1 Miroslav Grepl 2014-07-21 15:45:01 UTC
Are you moving a file under thumb_t?

Comment 2 Daniel Walsh 2014-08-06 22:48:55 UTC
Why would a thumbdriver be moving files?

Comment 3 Matthew Saltzman 2014-11-07 22:00:29 UTC
Description of problem:
This problem seems to occur when inserting a USB drive or copying a file to a USB drive.

Additional info:
reporter:       libreport-2.2.3
hashmarkername: setroubleshoot
kernel:         3.16.6-203.fc20.x86_64
type:           libreport

Comment 4 Daniel Walsh 2015-01-02 14:11:28 UTC
074f147453049d68328eb892f873d51585aa452c fixes this in git.

Comment 5 Lukas Vrabec 2015-01-15 15:28:42 UTC
commit e3ed1ffdffdc39c55fdf2742eaf1d7f8ce53d6f1
Author: Dan Walsh <dwalsh@redhat.com>
Date:   Fri Jan 2 07:27:51 2015 -0500

    Allow texlive managers to relabelfrom

Comment 6 Fedora Update System 2015-01-27 16:56:25 UTC
selinux-policy-3.12.1-197.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/selinux-policy-3.12.1-197.fc20

Comment 7 Fedora Update System 2015-01-30 04:41:25 UTC
Package selinux-policy-3.12.1-197.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-197.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-1398/selinux-policy-3.12.1-197.fc20
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2015-03-10 00:55:36 UTC
selinux-policy-3.12.1-197.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.